Page MenuHomePhabricator

Drop #wikimedia-codereview channel
Closed, ResolvedPublic

Description

The channel #wikimedia-codereview was created as part of T128371: Set up Code Review office hours. The creation was opposed on that task almost immediately after it was done. Excerpts from various comments and arguments can be found below (tried to adress both sides with everything I could find, despite my bias). Personally I've already expressed that I'm in favor of dropping that channel and move things over to #wikimedia-tech. As I found a lot of other comments that seem to agree (or that at least stated this channel should not have been created in the first place) I've got the impression one could even say there is consensus not to have a seperate channel for this, hence I'm creating this task.

In T128371#2212270, MZMcBride wrote:

I've seen #wikimedia-tech get some use for code development and review lately and it's been very refreshing to see. We also have #mediawiki (and #wikimedia-dev and...) of course.

In T128371#2212668, Nemo_bis wrote:

Both wikimedia-tech and mediawiki qualify. It's extremely sad that another channel has been created.

In T128371#2214580, Legoktm wrote:

But more generally, if people begin discussing patches in a separate channel fragmented away from where everyone else is, how am I supposed to help? Many of my reviews are "drive-by" because I see people discussing them on IRC and have an opinion that I think will be helpful. Fragmenting what community we have left seems like a terrible idea. Instead, I'd like to point to an example which I really like, and that's been [@]coren's use of #wikimedia-tech, which seems to have been effective in getting CR and people excited about his project. Kudos!

In T128371#2214876, Dereckson wrote:

The code review windows could be a real thing totally integrated to regular workflow. So if people confirms #wikimedia tech is A. a quiet channel B. a channel where development discussion happens, it's totally suitable for code review.

In T128371#2215472, hashar wrote:

I tend to agree there are already enough channels as such and adding yet another one is adding confusion.

In T128371#2217530, Bawolff wrote:

Having it in #wikimedia-dev (or MediaWiki-General) would help involving drive by participants.

This has come up again in T173770: Code Review Hours advertised but not taking place? lately:

In T173770#3626123, EddieGP wrote:

IMHO:

  • I think #wikimedia-codereview shouldn't exist. This was already discussed on T128371 right after that channel was created and of course it "feels right" to have a dedicated place for something as "important as code review", but the effect basically is that fewer people take notice of these events. As I write this, 27 accounts are idle in that channel. #wikimedia-tech has 237. Move there, that automatically increases the number of people aware of the event - at least on the side of people being able to review and CR+2, as much more of them seem to actively look into #wikimedia-tech regularly.
In T173770#3674582, Bawolff wrote:

I think if we were to ressurect code review office hours we should have some rules to recognize its not a one size fits all sort of thing:

  • it should take place in a busyish channel (vitally important to draw in idling devs who arent specificly attending but could be drawn in)

Opposing voices:

Luke081515 created that channel, though I haven't seen a comment from him about this.

In T173770#3628207, mmodell wrote:

@EddieGP: I agree that the IRC channel isn't the best way to get noticed by a lot of people, however, the low volume of messages has an advantage. If you paste a link into that channel it's much more likely to get seen by someone instead of being drowned out by wikibugs notifications or other unrelated discussion. So, while it's not regularly monitored by many developers, at least I check there often and regularly do code reviews when someone requests them.


So, the arguments are basically:
Keep #wikimedia-codereview, stuff won't get lost in unrelated discussion there, which is likely to happen in other channels.

vs.

Drop it, move code review (sessions) elsewhere (i.e. in #mediawiki or #wikimedia-tech), where more (hopefully most?) people will notice it and are more likely to do 'drive-by' reviews. Also, let's not have Yet Another Channel™. With the "Technical Advice IRC meeting" there are other events somewhat aiming for newcomers in #wikimedia-tech already too, so having it there might help concentrating things in one place.

To counter the "stuff get's lost there" argument: Both of these channels do not have bots (wikibugs, monitoring or similar) sending messages to it (humans only). Especially #wikimedia-tech is rather low-traffic (having a quick look at the txt log files with wc -l exposes it were about 54 messages/day for September - on average, that is - but granted, 4 days peaked to >100).

Event Timeline

EddieGP created this task.Oct 11 2017, 6:03 PM

Dropping irc channels is not really an operations thing. The channel founder would be the one who'd have to drop it.

Normally, unwanted irc channels arent dropped so much as just abandoned.

Dzahn added a subscriber: Dzahn.Oct 11 2017, 6:11 PM

This ticket should be linked to all other tickets that suggest _adding_ more channels as an example for why it might not be the best idea. Because the "another channel", just like "another list" and "another wiki" come up regularly and often end up like this later.

I haven't found any "irc-managers" or something like that tag, so Operations seemd to fit best. I thought about "dropping" as making it forward it to another (more popular) channel that will be used instead (maybe kicking people first? Don't know how forwarding works for people already in that channel).

Legoktm added a subscriber: Legoktm.

I added wikimedia-irc-freenode , if the operator is inactive we can have the group contacts close and redirect the channel.

Dzahn added a comment.Oct 11 2017, 6:17 PM

I haven't found any "irc-managers" or something like that tag, so Operations seemd to fit best.

I don't think operations should be the fallback tag for more or less random things that don't have other tags. I would rather suggest to assign it to the same people who created/requested it, so the tags/people used on the original task T128371.

demon added a subscriber: demon.Oct 11 2017, 6:19 PM

We have too many damn channels as it is.... so +100000 for killing this.

I'm still active, and I can drop or redirect the chan. so if there is a final decision, please assign the task to me, so I can take the action.

charitwo claimed this task.Oct 11 2017, 6:21 PM
charitwo added a subscriber: charitwo.

I can redirect this channel to one more appropriate per consensus

Bawolff added a comment.EditedOct 11 2017, 6:29 PM

My vote is redirect to #wikimedia-dev

Edit to clarify, Any of the proposed solutions are fine in my opinion. This should not be taken as me being against any of the other proposed courses of action.

so we have three proposals: #mediawiki, #wikimedia-dev and #wikimedia-tech

before redirecting, we need also remove wikibugs from the channel

My vote is redirect to #wikimedia-dev

Judging from the name, that one would make the most sense. Judging from the fact that #wikimedia-dev is flooded by wikibugs (and "flooded" isn't a overstatement in this case) and I've almost never seen any real discussion happen there (and various comments mentioned that #wikimedia-tech took over expecially the discussions that formerly were in #wikimedia-dev) my vote ends up to be for #wikimedia-tech.

+1 for wikimedia-tech (per EddieGP's rationale)

greg added a subscriber: greg.Oct 11 2017, 6:43 PM

-tech is fine. I think it was a fine experiment, but now that the interest is lower it makes more sense to combine and get the benefits from that.

Change 383656 had a related patch set uploaded (by EddieGP; owner: EddieGP):
[labs/tools/wikibugs2@master] Remove gerrit notifications for #wikimedia-codereview

https://gerrit.wikimedia.org/r/383656

EddieGP updated the task description. (Show Details)Oct 11 2017, 7:47 PM

I don't have a strong objection but I still insist that the dedicated nature of the channel meant that nothing would get lost in the noise. You won't have a dedicated audience that is intentionally reviewing patches on a regular basis. I can't quite understand the harm in having a channel that does get used, if you don't want to be involved just ignore it.

mmodell removed a subscriber: mmodell.Oct 11 2017, 8:08 PM

Change 383656 merged by jenkins-bot:
[labs/tools/wikibugs2@master] Remove gerrit notifications for #wikimedia-codereview

https://gerrit.wikimedia.org/r/383656

Krinkle added a subscriber: Krinkle.EditedFeb 15 2018, 3:43 AM

Regardless of where the redirect goes, I do agree that another channel doesn't seem useful (https://xkcd.com/927/ comes to mind).

I understand that #wikimedia-dev is often criticised for being crowded with bots. Personally, I find them useful (similar reasons as mentioned by @Legoktm). But among, #mediawiki (support), #mediawiki-core (core code discussion), #wikimedia-tech(both code and on-wiki technicality discussion), and the various other channels we have, there ought to be an existing venue for any possible conversation that'd take place in -codereview. Even if there isn't a perfect fit, the benefit of having a smaller number of channels also means there's a greater chance someone can help you, which ultimately seems more important than whether or not the channel name is a perfect fit for the topic.

As for actual office hours (a recurring time slot for a specific discussion topic), we could/should use the #wikimedia-office channel for that instead.

demon added a comment.Feb 15 2018, 4:06 AM

I understand that #wikimedia-dev is often criticised for being crowded with bots.

Ironically, half the reason the channel exists is because MediaWiki-General was too spammed with bots so people migrated. Then people wanted bots there, and now it's barely useable (and MediaWiki-General is silent). Fun :)

Dzahn awarded a token.Feb 15 2018, 5:31 AM
Luke081515 closed this task as Resolved.Mar 23 2018, 3:36 PM